#!/bin/bash

tag=1.0.6

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone git://github.com/crypto-browserify/browserify-aes.git
cd browserify-aes
git archive --prefix="test/" --format=tar tags/v${tag}:test/ \
    | bzip2 > "$pwd"/tests-${tag}.tar.bz2
popd
