%{?nodejs_find_provides_and_requires}

%global packagename browserify-aes
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.0.6
Release: 1%{?dist}.3
Summary: aes, for browserify
License: MIT
URL: https://github.com/crypto-browserify/browserify-aes
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1: tests-%{version}.tar.bz2
Source10: dl-tests.sh

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(buffer-xor) >= 1.0.2
BuildRequires: npm(buffer-xor) < 2.0.0
BuildRequires: npm(cipher-base) >= 1.0.0
BuildRequires: npm(cipher-base) < 2.0.0
BuildRequires: npm(create-hash) >= 1.1.0
BuildRequires: npm(create-hash) < 2.0.0
BuildRequires: npm(evp_bytestokey) >= 1.0.0
BuildRequires: npm(evp_bytestokey) < 2.0.0
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 3.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 3.0.0
%endif

%description
Node style aes for use in the browser.  Implements:
 - createCipher
 - createCipheriv
 - createDecipher
 - createDecipheriv
 - getCiphers

In node.js, the crypto implementation is used, in browsers it falls back
to a pure JavaScript implementation.

%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%nodejs_fixdep tape '>=3.0.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js modes \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test/index.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 1.0.6-1
- Initial package.
